'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.str = exports.formatModule = exports.friendlyName = exports.renderBar = undefined;

var _path = require('path');

var _path2 = _interopRequireDefault(_path);

var _chalk = require('chalk');

var _chalk2 = _interopRequireDefault(_chalk);

var _lodash = require('lodash');

var _lodash2 = _interopRequireDefault(_lodash);

var _figures = require('figures');

var _figures2 = _interopRequireDefault(_figures);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BAR_LENGTH = 25;
const IS_WINDOWS = /^win/.test(process.platform);
const BLOCK_CHAR = IS_WINDOWS ? ' ' : '█';
const BLOCK_CHAR2 = IS_WINDOWS ? '=' : '█';
const BAR_BEFORE = IS_WINDOWS ? '[' : '';
const BAR_AFTER = IS_WINDOWS ? ']' : '';
const NEXT = (0, _figures2.default)('›');

const renderBar = exports.renderBar = (progress, color) => {
  const w = progress * (BAR_LENGTH / 100);
  const bg = _chalk2.default.white(BLOCK_CHAR);
  const fg = _chalk2.default.keyword(color)(BLOCK_CHAR2);

  return BAR_BEFORE + _lodash2.default.range(BAR_LENGTH).map(i => i < w ? fg : bg).join('') + BAR_AFTER;
};

const friendlyName = exports.friendlyName = s => {
  const match = /[a-z]+-loader/.exec(s);
  if (match) {
    return match[0];
  }

  let f = _path2.default.relative(process.cwd(), s);
  f = _lodash2.default.last(f.split(`node_modules${_path2.default.delimiter}`));
  return f.split('?')[0];
};

const formatModule = exports.formatModule = s => s.split('!').map(friendlyName).join(NEXT);

const str = exports.str = s => s ? String(s) : '';